AutoRun Pro

AutoRun Pro can create, edit professional autorun interface and generate autorun files for CD/DVDs in a WYSIWYG environment.

Display a professional and beautiful interface for users to open or execute files, print documents, send e-mail, visit Web sites, browse CDs, play sound, music and so on, when your CD is inserted. It supports bitmap, icon, JPEG, EMF, WMF image files, bitmap buttons, and labels. Display GIF (Static or Animated), AVI, HTML, RTF files on autorun form and support transparent form. Combine AutoRun Expert 1.2, new features: support GIF (still or animated), AVI, HTML and RTF files.

Use the MediaPlayer object to enable your autorun application to control a media playing device such as a CD-ROM player, video player, or MIDI sequencer.

You can use the SlideShow object to slide show image files in a folder. The files can be bitmap, icon, JPEG, GIF, EMF and WMF.

AutoRun Pro can automatically run HTML, Movies, PowerPoint, and other documents all with their default viewer or built-in viewer. You can display your entire web site, or include a photo album on your AutoRun form.

With the ability to HTML object (built-in Web browser), you can include menus, buttons, Flash, and Java applets on your AutoRun form by including them within HTML. You can use several internal command within your web page to perform tasks such as launching files, sending E-mails, playing sound and music files, printing files, browsing CDs and closing the autorun.

It's fast and easy to use. Anyone can quickly create autorun CD-ROMs within minutes.

1. CD-ROM Base Folder

The CD-ROM Base Folder is the folder that stores all of your files and folders that you wish to burn to CD. If you have not created this you should do so. Create a folder (for example 'CD_Temp'). Place all of the files you wish to burn to CD into that folder.

Select that folder by pressing the Open button or click main menu->File->Open menu item.

2. Set AutoRun Form and Splash Screen properties.

Form Caption, Form Icon, Start Sound, Back Color, Gradient Style, Gradient Color, Border Style, Transparent, Transparent Color and Panel Border Style, Panel Border Width, Panel Border Bevel Inner, Panel Border Outer, Panel Border Bevel Width and Splash Screen image.

3. Set Start Link.

Open, Execute files or Play sound, music when AutoRun start.

4. Add AutoRun Objects (Label, Button, Image, AVI, HTML, RTF, MediaPlayer, SlideShow) to AutoRun Form.

5. Set AutoRun Objects properties

6. Set AutoRun Objects Links.

Open or execute files, print documents, send e-mail, visit Web sites, browse CDs, play sound, music and so on, when uses click the objects.

7. Select CD-ROM Icon

8. Save and Test.

9. Burn CD.

Open SampleCD1, SampleCD2, SampleCD3, SampleCD4 and SampleCD5… folders for demo.

You can use Step by Step Wizard to create autorun files.

See

Support and Register

What's new

Open

Save

Save and test

From and Splash Screen properties

Start link

Add object

Set object properties

Set object link

Delete object

Clear objects

Bring to front

Send to back

CD icon

Use HTML (use built-in Web browser)


Features

AutoRun Pro - Features

Operating System: Win 95, Win 98, Win ME, Win NT4, Win 2000, XP, 2003

Language: English

License: Shareware

AutoRun Pro Features

• Display of every registered document (e.g.: TXT, DOC, HTML) via automatic start of the corresponding application.

• Print of every registered document (e.g.: TXT, DOC, HTML) via automatic start of the corresponding application.

• Start any program.

• Start the default browser with document URL.

• Send email.

• Integrated Web browser and internal commands.

• Integrated sound player.

• Integrated AVI video player.

• Integrated RTF viewer.

• Integrated Media Player.

• Slide Show images (Photo album).

• Background color, Gradient color and Transparent Form.

• Background sound.

• Splash screen, splash screen sound.

• Images include GIF still and animated.

• CD Icon and Form icon can be displayed in the title bar.

• Test without burning CD.

• No programming knowledge required.

• No registry entry necessary.

• Runs from CD-ROM without installation.

• No runtime module required.


Support and Register

You can visit http://www.longtion.com/products.htm to register AutoRun Pro.

Technical support are free forever for registered users.

Home page: http://www.longtion.com

Technical Support: support@longtion.com

Sales support: sales@longtion.com


what'new

What's new

AutoRun Pro 3.0 (05/10/2004)

- MediaPlayer Object Built-in Media player.

- SlideShow Object Slide show images in a folder.

- Inspector List Objects and files.

- HTML help document.

AutoRun Pro 2.0.2 (04/15/2004)

- Splash Sound Plays sound or music when Splash Screen Shows in a variety of styles.

- Source file (AutoRun.ard) and Target file (AutoRun.rdt) You can distribute your CD without your source file (AutoRun.ard), if you do not wish to let your end user open up the source using the AutoRun.ard.

- Link Action closes autorun form If you want to close autorun form after an Action (Launch a file or URL, etc.), you can select this option.

- Copy, Paste and Clone Object(s).

AutoRun Pro 2.0.1 (02/22/2004)

- Step by step Wizard

- Splash Screen

AutoRun Pro 2.0 (01/16/2004)

- GIF file, Image Object support GIF file (still or animated).

- AVI Object Silently displays an Audio Video Interleaved (AVI) file.

- HTML Object, By displaying your web page using the HTML Object (built-in Web browser), you can include menus, buttons, Flash, and Java applets on your AutoRun form by including them within HTML. You can use several internal commands within your web page to perform tasks such as launching files, sending E-mails, playing sound and music files, printing files, browsing CDs and closing the autorun form. You use these commands in your web page using A HREF links. For example: <A HREF="CMD_OPEN=license.txt">View License</A>.

- RTF Object, Built-in RTF viewer for displaying RTF file.

AutoRun Expert 1.2 (07/25/2003)

Please see Samples.


Open

The CD-ROM Base Folder is the folder that stores all of your files and folders that you wish to burn to CD.

If you have not created this you should do so. Create a folder (for example 'CD_Temp'). Place all of the files you wish to burn to CD into that folder.

Select that folder by pressing the Open button or click main menu->File->Open menu item.


Save

Press the Save button or click main menu ->File->Save menu item to save the configuration file and create autorun.inf, autorun.ico and autorun application files if necessary.


Save and test

Press the Save and Test button or click main menu ->File->Save and Test menu item to save the files and run autorun application to test the configuration.

See Also

Save


Form and Splash Screen properties

Press the Form properties button or click main menu ->Edit->Form properties menu item to set form properties.

See Also

Start link


Start link

Click main menu ->Edit->Start link menu item to set the action that the autorun application do when it starts.

When autorun run, the action will be done, open a file, execute a executable file such as setup file, open a URL(like http://www.longtion.com/products) to visit a web site, send Email, play sound file, print a document, browse CD, or Exit the program.

Actions:

None

Open or Execute File

Open URL to Visit(or download file from) Internet

Send Email

Play Sound File

Print File

Browse CD

Exit AutoRun

See Also

Set object link


Add object

Press the Add Label button, Add Button button, Add Image button, Add AVI button, Add HTML button or Add RTF button then click the form to add an object (Label, Button, Image, AVI to display AVI file, HTML to display HTML file, RTF to display RTF file, MediaPlayer, SlideShow) to the form.


Set object properties

Select one Object (Label, Button, Image, AVI, HTML, RTF, MediaPlayer or SlideShow), then press the Object properties button or click main menu ->Edit->Object properties menu item to set the object properties


Set object link

Select one Object (Label, Button or Image), then press the Object link button or click main menu ->Edit->Object link menu item to set the object link.

When user clicks the Object(Label, Button or Image) the linked action will be done, open a file, execute a executable file such as setup file, open a URL(like http://www.longtion.com/products) to visit a web site, send Email, play sound file, print a document, browse CD, or Exit the program.

Actions:

None

Open or Execute File

Open URL to Visit(or download file from) Internet

Send Email

Play Sound File

Print File

Browse CD

Exit AutoRun


Delete object

Select Object(s) (Label, Button, Image, AVI, HTML, RTF, MediaPlayer or SlideShow), then click main menu ->Edit->Delete menu item or press delete key to delete selected Object(s).


Clear objects

Click main menu ->Edit->Clear menu item to remove all objects on the form.


Bring to front

Choose Main menu -> Edit -> Bring To Front to move a selected object in front of all other objects on the form.

Note:

The Bring To Front and Send To Back commands do not work if you are combining windowed (AVI, HTML, RTF, MediaPlayer and SlideShow) and non-windowed (Label, Button and Image) objects. For example, you cannot change the order of a label in relation to a HTML.


Send to back

Choose Main menu -> Edit -> Send To Back to move a selected object behind all other objects on the form.

Note:

The Bring To Front and Send To Back commands do not work if you are combining windowed (AVI, HTML, RTF, MediaPlayer and SlideShow) and non-windowed (Label, Button and Image) objects. For example, you cannot change the order of a label in relation to a HTML.


CD Icon

Press the CD icon button or click main menu ->Edit->Select CD icon menu item to select a icon file (.ico) to save as AutoRun.ico file in CD folder.

You can define the icon, which will appear in the Windows Explorer. You have the option of using the default AutoRun Pro icon or a unique icon such as your product or company logo or any other icon that is fitting for your product. The file for the icon must be an icon file (*.ico).


Use HTML

HTML Object is a built-in Web browser.

Ceate or edit a Web page with your favorite HTML editor - DreamWeaver, FrontPage, Word, HomeSite, Notepad or what ever. Add pictures, animations, scripts, ActiveX, Java Applets, Flash, music, sound, or any other embeddable objects. Add Hyper Links as usual if the URL is pointing to a Web resource. The only new rule in Autorun Pro bult-in web browser you can call internal commands.

By displaying your web page using the HTML object (built-in Web browser), you can use several internal commands within your web page to perform tasks such as launching files, sending E-mails, playing sound and music files, printing files, browsing CDs and closing the autorun. You use these commands in your web page using A HREF links.

For example

<A HREF="CMD_OPEN=license.txt">View License</A>

Would display "View License" in the window. If clicked, license.txt will open.

<A HREF="CMD_BROWSE">Browse the CD-ROM</A>

If clicked, the contents of the CD are displayed using the Windows explorer.

<A HREF="CMD_EXIT">Click to Quit</A>

If clicked, the autorun will exit.

Built-in browser HTML internal commands

CMD_OPEN

Open or Execute Files

Syntax: CMD_OPEN=filename

Examples:

CMD_OPEN=setup\mysetup.exe

CMD_OPEN=readme.txt

CMD_EMAIL

Send Email

Syntax: CMD_EMAIL=email address

Example:

CMD_EMAIL=support@longion.com

CMD_SOUND

Play sound files

Syntax: CMD_SOUND=filename

Examples:

CMD_SOUND=sound.wav

CMD_SOUND=sound.mid

CMD_PRINT

Print files

Syntax: CMD_PRINT=filename

Examples:

CMD_PRINT=readme.txt

CMD_PRINT=licence.txt

CMD_BROWSE

Browse CDs

CMD_EXIT

EXIT autorun